package com.rdiot.yx485.bean


import kotlinx.serialization.SerialName
import kotlinx.serialization.Serializable

@Serializable
open class BaseResp<T>(
    @SerialName("code")
    var code: Int = 0, // 0
    @SerialName("data")
    var data: T? = null,
    @SerialName("message")
    var message: String = "" // success
) {
    fun isSucceed(): Boolean = code == 0
}


